vnfd:vnfd-catalog:
    vnfd:
    -   id: nscharm-user-vnf
        name: nscharm-user-vnf
        short-name: nscharm-user-vnf
        version: '1.0'
        description: A VNF consisting of 2 VDUs w/proxy charm
        logo: osm.png
        connection-point:
        -   id: vnf-mgmt
            name: vnf-mgmt
            short-name: vnf-mgmt
            type: VPORT
        mgmt-interface:
            cp: vnf-mgmt
        internal-vld:
        -   id: internal
            name: internal
            short-name: internal
            type: ELAN
            internal-connection-point:
            -   id-ref: userVM-internal
        vdu:
        -   id: userVM
            name: userVM
            image: ubuntu1604
            count: '1'
            vm-flavor:
                vcpu-count: '1'
                memory-mb: '1024'
                storage-gb: '10'
            interface:
            -   name: userVM-eth0
                position: '1'
                type: EXTERNAL
                virtual-interface:
                    type: VIRTIO
                external-connection-point-ref: vnf-mgmt
            -   name: userVM-eth1
                position: '2'
                type: INTERNAL
                virtual-interface:
                    type: VIRTIO
                internal-connection-point-ref: userVM-internal
            internal-connection-point:
            -   id: userVM-internal
                name: userVM-internal
                short-name: userVM-internal
                type: VPORT
            cloud-init-file: cloud-config.txt
            vdu-configuration:
                juju:
                    charm: vnf-user
                    proxy: true
                initial-config-primitive:
                -   seq: '1'
                    name: config
                    parameter:
                    -   name: ssh-hostname
                        value: <rw_mgmt_ip>
                    -   name: ssh-username
                        value: ubuntu
                    -   name: ssh-password
                        value: osm4u